org.h2gis.functions.spatial.convert

## Class ST_GeomFromGML

- java.lang.Object
- - org.h2gis.api.AbstractFunction
  - - org.h2gis.api.DeterministicScalarFunction
    - - org.h2gis.functions.spatial.convert.ST_GeomFromGML

All Implemented Interfaces:
  org.h2gis.api.Function, org.h2gis.api.ScalarFunction

    public class ST_GeomFromGML
    extends org.h2gis.api.DeterministicScalarFunction

Read a GML representation and convert it to a geometry.

Author:
  Erwan Bocher

### Field Summary

Fields
`static com.vividsolutions.jts.geom.GeometryFactory` `gf`

### Fields inherited from interface org.h2gis.api.ScalarFunction

`PROP_DETERMINISTIC, PROP_NOBUFFER`

### Fields inherited from interface org.h2gis.api.Function

`PROP_NAME, PROP_REMARKS`

### Constructor Summary

Constructors
Constructor and Description
`ST_GeomFromGML()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`String` `getJavaStaticMethod()`
`static com.vividsolutions.jts.geom.Geometry` `toGeometry(String gmlFile)` Read the GML representation
`static com.vividsolutions.jts.geom.Geometry` `toGeometry(String gmlFile, int srid)` Read the GML representation with a specified SRID

### Methods inherited from class org.h2gis.api.AbstractFunction

`addProperty, getProperty, removeProperty`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.h2gis.api.Function

`getProperty`

### Field Detail

#### gf

    public static com.vividsolutions.jts.geom.GeometryFactory gf

### Constructor Detail

#### ST_GeomFromGML

    public ST_GeomFromGML()

### Method Detail

#### getJavaStaticMethod

    public String getJavaStaticMethod()

#### toGeometry

    public static com.vividsolutions.jts.geom.Geometry toGeometry(String gmlFile)
                                                           throws SAXException,
                                                                  IOException,
                                                                  ParserConfigurationException

Read the GML representation

Parameters:
  `gmlFile` -
Returns:
Throws:
  `SAXException`
  `IOException`
  `ParserConfigurationException`

#### toGeometry

    public static com.vividsolutions.jts.geom.Geometry toGeometry(String gmlFile,
                                                                  int srid)
                                                           throws SAXException,
                                                                  IOException,
                                                                  ParserConfigurationException

Read the GML representation with a specified SRID

Parameters:
  `gmlFile` -
  `srid` -
Returns:
Throws:
  `SAXException`
  `IOException`
  `ParserConfigurationException`